<?php
/**
* @package		%PACKAGE%
* @subpackge	%SUBPACKAGE%
* @copyright	Copyright (C) 2010 - 2012 %COMPANY_NAME%. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
*
* %PACKAGE% is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

// Import the model file from the core
Foundry::import( 'admin:/includes/model' );


class VmvendorModel extends EasySocialModel
{
	/**
	 * Retrieves the vmvendors stored from the database.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	int		User's id. 
	 * @return	Array	A list of vmvendor rowset.
	 */
	public function getItems( $userid , $limit)
	{
		if (!class_exists( 'VmConfig' ))
			require JPATH_ADMINISTRATOR . '/components/com_virtuemart/helpers/config.php' ;
		VmConfig::loadConfig();
		$db = JFactory::getDBO();		
		$q 	= "SELECT DISTINCT(vp.`virtuemart_product_id`) , vp.`product_sku` , vp.`product_in_stock` , 
			vpl.`product_s_desc` , vpl.`product_name` ,  
			vpc.`virtuemart_category_id` ,
			vcl.`category_name` ,
			vpp.`product_price` 
			FROM `#__virtuemart_products` vp 
			JOIN `#__virtuemart_products_".VMLANG."` vpl ON vpl.`virtuemart_product_id` = vp.`virtuemart_product_id`
			JOIN `#__virtuemart_vmusers` vv ON vv.`virtuemart_vendor_id` = vp.`virtuemart_vendor_id` 
			LEFT JOIN `#__virtuemart_product_prices` vpp ON vpp.`virtuemart_product_id` = vp.`virtuemart_product_id` 
			JOIN `#__virtuemart_product_categories` vpc ON vpc.`virtuemart_product_id` = vp.`virtuemart_product_id` 
			JOIN `#__virtuemart_categories_".VMLANG."` vcl ON vcl.`virtuemart_category_id` = vpc.`virtuemart_category_id`  			
			WHERE vv.`virtuemart_user_id` = '".$userid."' 
			AND vp.`published`='1' 
			AND vp.`product_parent_id` ='0' 
			GROUP BY vp.`virtuemart_product_id`
			ORDER BY vp.`virtuemart_product_id` DESC 
			LIMIT ".$limit;
			$db->setQuery($q);
			$myproducts = $db->loadObjectList();

		if( !$myproducts )
		{
			return;
		}

		return $myproducts;
	}
	function getCurrency()
	{
		$db 	= JFactory::getDBO();
		$q ="SELECT vc.`currency_symbol` ,
		 	vc.`currency_positive_style` ,
			vc.`currency_decimal_place` ,
		   	vc.`currency_decimal_symbol` ,
		   	vc.`currency_thousands` 
			FROM `#__virtuemart_currencies` vc 
			LEFT JOIN `#__virtuemart_vendors` vv ON vv.`vendor_currency` = vc.`virtuemart_currency_id` 
			WHERE vv.`virtuemart_vendor_id` ='1' " ;		
			$db->setQuery($q);
			$main_currency = $db->loadRow();
			/*$currency_symbol 			= $main_currency[0];
			$currency_positive_style	= $main_currency[1];
			$currency_decimal_place 	= $main_currency[2];
			$currency_decimal_symbol 	= $main_currency[3];
			$currency_thousands 		= $main_currency[4];*/
			return $main_currency;
	}
	function getVendorID($userid)
	{
		$db 	= JFactory::getDBO();
		$query 	= "SELECT `virtuemart_vendor_id` FROM `#__virtuemart_vmusers` WHERE `virtuemart_user_id`='".$userid."'";
		$db->setQuery($query);
		$vendorid = $db->loadResult();
		return $vendorid;
	}
	function getImages( $virtuemart_product_id )
	{
		$db 	= JFactory::getDBO();
		$q ="SELECT vm.`file_url_thumb` , vm.file_url 
			FROM `#__virtuemart_medias` vm 
			LEFT JOIN `#__virtuemart_product_medias` vpm ON vpm.`virtuemart_media_id` = vm.`virtuemart_media_id` 
			WHERE vpm.`virtuemart_product_id`='".$virtuemart_product_id."' 
			AND vm.`file_mimetype` LIKE 'image/%' 		
			ORDER BY vm.`file_is_product_image` DESC , vpm.ordering ASC";
		$db->setQuery($q);
		$prod_images =  $db->loadRow();
		return $prod_images; 	 // array
		
	}
	
	function getVendorprofileItemid()
	{
		$db 	= JFactory::getDBO();
		$lang = JFactory::getLanguage();
		$q = "SELECT `id` FROM `#__menu` WHERE `link`='index.php?option=com_vmvendor&view=vendorprofile' AND `type`='component' AND ( language ='".$lang->getTag()."' OR language='*') AND published='1' AND access='1'  ";
		$db->setQuery($q);
		return 	$vendorprofile_itemid = $db->loadResult();	
	}
	
	function getDashboardItemid() // VMVendor Dashboard
	{
		$db 	= JFactory::getDBO();
		$lang = JFactory::getLanguage();
		$q = "SELECT `id` FROM `#__menu` WHERE `link`='index.php?option=com_vmvendor&view=dashboard' AND `type`='component' AND ( language ='".$lang->getTag()."' OR language='*') AND published='1'  ";
		$db->setQuery($q);
		return 	$dashboard_itemid = $db->loadResult();	
	}
	
	function getAddproductItemid()
	{
		$db = JFactory::getDBO();
		$lang = JFactory::getLanguage();
		$q = "SELECT `id` FROM `#__menu` WHERE `link`='index.php?option=com_vmvendor&view=addproduct' AND `type`='component' AND `published`='1'  AND ( language ='".$lang->getTag()."' OR language='*') ";
		$db->setQuery($q);
		return 	$addproduct_itemid = $db->loadResult();	
	}
	
	function getVendorConfirmedOrderItems($userid)
	{
		$vendor_id = VmvendorModel::getVendorID($userid);
		$db = JFactory::getDBO();
		$q="SELECT COUNT(virtuemart_order_item_id) FROM #__virtuemart_order_items WHERE order_status='C' AND virtuemart_vendor_id='".$vendor_id."' ";
		$db->setQuery($q);
		return 	$new_orders = $db->loadResult();	
	}
	
	function getVendorPoints($userid)
	{
		$db = JFactory::getDBO();
		$q="SELECT points FROM #__vmvendor_userpoints WHERE userid='".$userid."' ";
		$db->setQuery($q);
		return 	$vendor_points = $db->loadResult();	
	}

}