<?php
/**
* @package		%PACKAGE%
* @subpackge	%SUBPACKAGE%
* @copyright	Copyright (C) 2010 - 2012 %COMPANY_NAME%. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
*
* %PACKAGE% is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Canvas view for Vmvendor app
 *
 * @since	1.0
 * @access	public
 */
class VmvendorViewCanvas extends SocialAppsView
{
	/**
	 * This method is invoked automatically and must exist on this view.
	 *
	 * @since	1.0.0
	 * @access	public
	 * @param	int		The user id that is currently being viewed.
	 * @return 	void
	 */
	public function display($userId = null , $docType = null )
	{
		$juri 		= JURI::base();
		// Get the app params
		$appParams	= $this->app->getParams();
		$limit 		= (int)  $appParams->get( 'limit' , 10  );
		$cart_moduleposition	=  $appParams->get( 'cart_moduleposition' ,'easysocial-vmvcart'  );
		
		$cparams 		= JComponentHelper::getParams('com_vmvendor');
		$vmitemid		= $cparams->get('vmitemid');
		$enablerss 		= $cparams->get('enablerss', 1);
		$juser =	JFactory::getUser();
		$doc = JFactory::getDocument();
		$doc->addStyleSheet($juri.'components/com_vmvendor/assets/css/vendorprofile.css');
		echo '<link rel="stylesheet" href="'.$juri.'components/com_vmvendor/assets/css/fontello.css">';
		// Get the current user
		$user 		= FD::user( $userId );
		if($juser->id == $user->id)
			$ismyprofile = 1;
		else
			$ismyprofile =0;
				
				// Requires the viewer to be logged in to access this app
		Foundry::requireLogin();

		// We want the user object from EasySocial so we can do funky stuffs.
		$Fuser 	= Foundry::user( $userId );

		// Since we are on the canvas page, we have the flexibility to change the page title.
		if( $Fuser->isViewer() )
		{
			$title 	= JText::_( 'Your Vmvendors' );
		}
		else
		{
			$title	= JText::sprintf( 'Vmvendors from %1s' , $Fuser->getName() );
		}

		// Set the page title. You can use JFactory::getDocument()->setTitle( 'title' ) as well.
		Foundry::page()->title( $title );

		// Load up the model
		$model 	= $this->getModel( 'Vmvendor' );

		// Get the list of vmvendors created by the user.
		$products 				= $model->getItems( $userId , $limit);
		$main_currency 			= $model->getCurrency( $userId );
		$vendorprofile_itemid 	=  $model->getVendorprofileItemid();
		$dashboard_itemid 		=  $model->getDashboardItemid();
		$addproduct_itemid		=  $model->getAddproductItemid();

		// Since the table decorates the date, we want to load them into the tables respectively.
		$vmvendors 	= array();
	
		

		// Assign the vmvendors to the theme files.
		// This option is totally optional, you can use your own theme object to output files.
		$this->set( 'juri'			, $juri );
		$this->set( 'user'			, $user );
		$this->set( 'model'			, $model );
		$this->set( 'ismyprofile'	, $ismyprofile );
		$this->set( 'products' 		, $products );
		
		$this->set( 'currency_symbol' 			,  $main_currency[0] );
		$this->set( 'currency_positive_style' 	,  $main_currency[1] );
		$this->set( 'currency_decimal_place' 	,  $main_currency[2] );
		$this->set( 'currency_decimal_symbol' 	,  $main_currency[3] );
		$this->set( 'currency_thousands' 		,  $main_currency[4] );

		$this->set( 'vendorprofile_itemid'	, $vendorprofile_itemid );
		$this->set( 'dashboard_itemid'		, $dashboard_itemid );
		$this->set( 'addproduct_itemid'		, $addproduct_itemid );
		$this->set( 'vmitemid'		, $vmitemid );
		$this->set( 'enablerss'		, $enablerss );
		$this->set( 'cart_moduleposition'		, $cart_moduleposition );

		// If you use the built in theme manager, the namespace is relative to the following folder,
		// /media/com_easysocial/apps/user/vmvendor/themes/default

		$namespace 	= 'canvas/default';

		// Output the contents
		echo parent::display( $namespace );
	}
}