<?php
/**
* @package		%PACKAGE%
* @subpackge	%SUBPACKAGE%
* @copyright	Copyright (C) 2010 - 2012 %COMPANY_NAME%. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
*
* %PACKAGE% is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

// We want to import our app library
Foundry::import( 'admin:/includes/apps/apps' );

/**
 * Some application for EasySocial. Take note that all classes must be derived from the `SocialAppItem` class
 *
 * Remember to rename the Vmvendor to your own element.
 * @since	1.0
 * @author	Author Name <author@email.com>
 */
class SocialUserAppVmvendor extends SocialAppItem
{
	/**
	 * Class constructor.
	 *
	 * @since	1.0
	 * @access	public
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Triggers the preparation of stream.
	 *
	 * If you need to manipulate the stream object, you may do so in this trigger.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	SocialStreamItem	The stream object.
	 * @param	bool				Determines if we should respect the privacy
	 */
	public function onPrepareStream( SocialStreamItem &$stream, $includePrivacy = true )
	{
    // Perform application logics here.
	
	// Get app params
		$params		= $this->getParams();
		$stream_icon_color = $params->get('stream_icon_color', 'green');
		$stream_icon = $params->get('stream_icon', 'ies-box-add');
		
		if ($stream->context == 'product')
		{
			$lang 				= JFactory::getLanguage();
			$lang->load( 'com_vmvendor', JPATH_SITE , '', false);
			$cparams 		= JComponentHelper::getParams('com_vmvendor');
			$enablerss 		= $cparams->get('enablerss', 1);
			$actor  		= $stream->actor;
			$contextid		= $stream->contextIds[0];
			$streamParams 	= json_decode($stream->contextParams[$contextid]);
			$product_name 	= &$streamParams->{'product_name'};
			$product_url 	= &$streamParams->{'product_url'};
			
			$form_s_desc	= &$streamParams->{'form_s_desc'};
			$userid			= &$streamParams->{'userid'};
			if($stream->verb =='add')
			{
				$thumb_url 		= &$streamParams->{'thumb_url'};
				
				$stream->display 	= SOCIAL_STREAM_DISPLAY_FULL;
				$stream->color 		=  $stream_icon_color  ;
				$stream->fonticon	= $stream_icon;
				$stream->label		= JText::_( 'APP_VMVENDOR_VMVENDORPRODUCT' );
				$product_link = ' <a href="'.$product_url.'">'.$product_name.'</a>';
			 	$stream->title      = ucfirst( JText::sprintf( JText::_('APP_VMVENDOR_HASJUSTADDED') , $actor->getName() , $product_link ) );
				$content = '';
				if($thumb_url!='')
					$content .= '<div style="float:left;padding:0 10px 0 0;width:100px">
					<a href="'.$product_url.'"><img src="'.$thumb_url.'" alt="thumb" width="90"  /></a></div>';
				if($form_s_desc!='')
					$content .= '<div style="float:left">'.$form_s_desc.'</div>';
				if($enablerss)
					$content .='<div style="clear:both"></div>
					<a href="media/vmvendorss/'.$userid.'.rss" target="_blank" ><span class="icon-feed"></span> '.JText::_('COM_VMVENDOR_VENDORRSS').'</a>';
				$stream->content  = $content;
				$stream->repost 	= true;
			}
			elseif($stream->verb =='edit')
			{
				
				$stream->display 	= SOCIAL_STREAM_DISPLAY_MINI;
				$stream->color 		=  $stream_icon_color  ;
				$stream->fonticon	= $stream_icon;
				$stream->label		= JText::_( 'APP_VMVENDOR_VMVENDORPRODUCT' );
				$product_link = ' <a href="'.$product_url.'">'.$product_name.'</a>';
				$stream->title      = ucfirst( JText::sprintf( JText::_('APP_VMVENDOR_HASJUSTEDITED') , $actor->getName() , $product_link ) );
				$content = '';
					$stream->content  = $content;
				$stream->repost 	= false;
			}
		}
		elseif ($stream->context == 'vendorprofile')
		{
			$lang 				= JFactory::getLanguage();
			$lang->load( 'com_vmvendor', JPATH_SITE , '', false);
			$cparams 		= JComponentHelper::getParams('com_vmvendor');
			$actor  		= $stream->actor;
			$contextid		= $stream->contextIds[0];
			$streamParams 	= json_decode($stream->contextParams[$contextid]);
			$vendorprofile_link 	= $streamParams->{'vendorprofile_link'};
			if($stream->verb =='edit')
			{
				
				$stream->display 	= SOCIAL_STREAM_DISPLAY_FULL;
				$stream->color 		=  $stream_icon_color  ;
				$stream->fonticon	= 'ies-user';
				$stream->label		= JText::_( 'APP_VMVENDOR_VENDORPROFILE' );
				$stream->title      = ucfirst( JText::sprintf( JText::_('APP_VMVENDOR_PROFILEUPDATED') , $actor->getName() , $vendorprofile_link ) );
				
				//$stream->content  = $content;
				$stream->repost 	= false;
			}
		}
	}

	/**
	 * Triggers the preparation of activity logs which appears in the user's activity log.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	SocialStreamItem	The stream object.
	 * @param	bool				Determines if we should respect the privacy
	 */
	public function onPrepareActivityLog( SocialStreamItem &$item, $includePrivacy = true )
	{
	}

	/**
	 * Triggers after a like is saved.
	 *
	 * This trigger is useful when you want to manipulate the likes process.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	SocialTableLikes	The likes object.
	 *
	 * @return	none
	 */
	public function onAfterLikeSave( &$likes )
	{
	}

	/**
	 * Triggered when a comment save occurs.
	 *
	 * This trigger is useful when you want to manipulate comments.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	SocialTableComments	The comment object
	 * @return
	 */
	public function onAfterCommentSave( &$comment )
	{
	}

	/**
	 * Renders the notification item that is loaded for the user.
	 *
	 * This trigger is useful when you want to manipulate the notification item that appears
	 * in the notification drop down.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	string
	 * @return
	 */
	public function onNotificationLoad( $item )
	{
	}
	
}
