<?php
/**
* @package		EasySocial
* @copyright	Copyright (C) 2010 - 2014 Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasySocial is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Profile view for Notes app.
 *
 * @since	1.0
 * @access	public
 */
class VmvendorWidgetsDashboard extends SocialAppsWidgets
{
	/**
	 * Display user photos on the side bar
	 *
	 * @since	1.0
	 * @access	public
	 * @param	string
	 * @return
	 */
	public function sidebarTop( )
	{
		$esuser = Foundry::user( JFactory::getApplication()->input->get('id','','INT') );
		$user_profileid = $esuser->profile_id;
		$doc = JFactory::getDocument();
		
		// Get the user params
		$params 	= $this->getParams();
		$allowed_profiles = explode(',' , $params->get('allowed_profiles') );
		if(in_array( $user_profileid , $allowed_profiles) OR $params->get('allowed_profiles')=='')
		{
		
		
			$juri 		= JURI::base();
			
			$doc->addStyleSheet($juri.'components/com_vmvendor/assets/css/vendorprofile.css');
			echo '<link rel="stylesheet" href="'.$juri.'components/com_vmvendor/assets/css/fontello.css">';
			
			if (!class_exists( 'VmConfig' ))
			require JPATH_ADMINISTRATOR . '/components/com_virtuemart/helpers/config.php' ;
				VmConfig::loadConfig();	
			$use_as_catalog 	=  VmConfig::get('use_as_catalog');
			
			
			
			$config 	= FD::config();
			
			$model 	= $this->getModel( 'Vmvendor' );
	
			// Get the list of vmvendors created by the user.
			$userId		= JFactory::getUser()->id;
			$limit	= 1000;
			$products 				= $model->getItems( $userId , $limit);
			$main_currency 			= $model->getCurrency( $userId );
			$vendorprofile_itemid 	=  $model->getVendorprofileItemid();
			$dashboard_itemid 		=  $model->getDashboardItemid();
			$addproduct_itemid		=  $model->getAddproductItemid();
			$confirmed_order_items	=	$model->getVendorConfirmedOrderItems( $userId );
			$vendorpoints			= $model->getVendorPoints($userId);
			if(!$vendorpoints)
				$vendorpoints = 0;
			
			$profile_url = JRoute::_('index.php?option=com_vmvendor&amp;view=vendorprofile&amp;userid='.$userId.'&amp;Itemid='.$vendorprofile_itemid);
			$dashboard_url	= JRoute::_('index.php?option=com_vmvendor&amp;view=dashboard&amp;Itemid='.$dashboard_itemid);
			$addproduct_url	=	JRoute::_('index.php?option=com_vmvendor&view=addproduct&amp;Itemid='.$addproduct_itemid);
			
			
			
			echo '<div class="es-widget">
					<div class="es-widget-head">
						<div class="pull-left widget-title">
			<img src="'.$juri.'media/com_easysocial/apps/user/vmvendor/assets/icons/small.png" width="16" height="16" alt="vmvendor" />	'.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_TITLE').'
			</div>
	
			<span class="widget-label"></span>
	
		</div>
		<div class="es-widget-body">
			<ul class="fd-nav fd-nav-stacked">';
			if(!$use_as_catalog)
			{
				echo '<li class="active"><a href="'.$dashboard_url.'" ><i class="vmv-icon-star"></i> '.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_POINTS')	.': <strong>'.$vendorpoints.'</strong></a></li>
				
				<li><a href="'.$dashboard_url.'" >
				<i class="vmv-icon-list"></i> '.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_VMVENDORORDERS')	;
				if($confirmed_order_items>0)
				{
						echo ' <div class="badge badge-warning" data-es-provide="tooltip" title="'.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_CONFIRMEDORDERS').'" >'.$confirmed_order_items.'</div>';
				}
				echo '</a></li>';
				echo '<li><a href="'.$dashboard_url.'" >
				<i class="vmv-icon-cog "></i> '.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_VMVENDORDASHBOARD')	.'</a>
				</li>';
				
			}
				
			echo '<li><a href="'.$profile_url.'" ><i class="vmv-icon-user"></i> '.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_VMVENDORPROFILE')	.'</a></li>
				<li><a href="'.$profile_url.'" ><i class="vmv-icon-grid"></i> '.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_VMVENDORPRODUCTS')	.'</a></li>
				<li><a href="'.$addproduct_url.'" ><i class="vmv-icon-plus"></i> '.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_VMVENDORADDPRODUCT')	.'</a></li>
				
			</ul>
			<div>
			
			</div>
	
		</div>
	</div>';
		}
		else
		{
		//hide VMVEndor app link
			$script = "jQuery(function() {
				jQuery('li[data-id=".$this->app->id."]').hide();
			})";
			$doc->addScriptDeclaration( $script );	
			
		}
	}
}
