<?php
/**
* @package		EasySocial
* @copyright	Copyright (C) 2010 - 2014 Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasySocial is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Profile view for Notes app.
 *
 * @since	1.0
 * @access	public
 */
class VmvendorWidgetsProfile extends SocialAppsWidgets
{
	/**
	 * Display user photos on the side bar
	 *
	 * @since	1.0
	 * @access	public
	 * @param	string
	 * @return
	 */
	public function sidebarTop( )
	{
		//var_dump($this->app);
		//echo $this->app->id;
		$esuser = Foundry::user( JFactory::getApplication()->input->get('id','','INT') );
		$user_profileid = $esuser->profile_id;
		// Get the user params
		$params 	= $this->getParams();
		$allowed_profiles = explode(',' , $params->get('allowed_profiles') );
		$doc = JFactory::getDocument();
		if(in_array( $user_profileid , $allowed_profiles) OR $params->get('allowed_profiles')=='')
		{

			
			$juri 		= JURI::base();
			$doc = JFactory::getDocument();
			$doc->addStyleSheet($juri.'components/com_vmvendor/assets/css/vendorprofile.css');
			echo '<link rel="stylesheet" href="'.$juri.'components/com_vmvendor/assets/css/fontello.css">';
			
	
	
			$config 	= FD::config();
			
			$model 	= $this->getModel( 'Vmvendor' );
	
			// Get the list of vmvendors created by the user.
			$userId		= JFactory::getUser()->id;
			$limit	= 1000;
			$products 				= $model->getItems( $userId , $limit);
			$main_currency 			= $model->getCurrency( $userId );
			$vendorprofile_itemid 	=  $model->getVendorprofileItemid();
			$dashboard_itemid 		=  $model->getDashboardItemid();
			$addproduct_itemid		=  $model->getAddproductItemid();
			$profile_url = JRoute::_('index.php?option=com_vmvendor&amp;view=vendorprofile&amp;userid='.$esuser->id.'&amp;Itemid='.$vendorprofile_itemid);
			$dashboard_url	= JRoute::_('index.php?option=com_vmvendor&amp;view=dashboard&amp;Itemid='.$dashboard_itemid);
			$addproduct_url	=	JRoute::_('index.php?option=com_vmvendor&view=addproduct&amp;Itemid='.$addproduct_itemid);
			echo '<div class="es-widget">
				
			<div class="es-widget-body">
					<div class="es-profile-header-action ">
						<div><a href="'.$profile_url.'" class="btn btn-es-primary btn-block">
						<div class="text-center"><i class="vmv-icon-grid"></i></div>
						<div class="text-center">'.JText::_('APP_VMVENDOR_DASHBOARD_WIDGET_VMVENDORPRODUCTS')	.'</div>
						</a>
						</div>
						
					</div>
					<div>
					
					</div>
			
				</div>
			</div>';
		}
		else
		{
			//hide VMVEndor app link
			$script = "jQuery(function() {
				jQuery('li[data-app-id=".$this->app->id."]').hide();
			})";
			$doc->addScriptDeclaration( $script );	
			
		}
	
	}


}
